--[[----------------------------------------------------------------------------
Copyright (c) 2011, Danny Fritz <dannyfritz@gmail.com>
http://creativecommons.org/licenses/by/3.0/
Licensed under the Creative Commons Attribution 3.0 Unported License.
--]]----------------------------------------------------------------------------

local Shmup = require 'lua.shmup'
local inspect = require 'inspect'

local Menu = Gamestate:addState('Menu')

--------------------------------------------------------------------------------
function Menu:enteredState()
	love.graphics.setBackgroundColor(0,0,0,255)
	shmup = Shmup:new()
end

--------------------------------------------------------------------------------
function Menu:exitedState()
end

--------------------------------------------------------------------------------
function Menu:update(dt)
	shmup:update(dt)
end

--------------------------------------------------------------------------------
function Menu:draw()
	shmup:draw()
end
